aiengine: XAieDma_TileBd Struct Reference

| aiengine Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XAieDma_TileBd Struct Reference

This typedef contains all the attributes for the BD configuration. More...

## Data Fields
XAieDma_TileBdLock | AddrA
| AddressA lock and address attributes for double buffering. More...
XAieDma_TileBdLock | AddrB
| AddressB lock and address attributes for double buffering. More...
XAieDma_TileBdXy | X2dCfg
| 2D addressing attributes for X More...
XAieDma_TileBdXy | Y2dCfg
| 2D addressing attributes for Y More...
u8 | PktEn
| Packet enable. More...
u8 | PktType
| Packet type. More...
u8 | PktId
| ID value used in the packet. More...
u8 | IntlvMode
| Interleave mode enable. More...
u8 | IntlvDb
| Double buffer type (A or B) for interleaving. More...
u8 | IntlvCnt
| Interleave count. More...
u16 | IntlvCur
| Interleave current pointer. More...
u8 | AbMode
| AB Double buffer mode enable. More...
u8 | FifoMode
| FIFO mode enable. More...
u8 | NextBdEn
| Use next BD. More...
u8 | NextBd
| Next BD to be used. More...
u16 | Length
| Length of the transfer in bytes. More...
u8 | ChNum
| Channel number, ranging from 0-3. More...

## Detailed Description

This typedef contains all the attributes for the BD configuration.

## Field Documentation

u8 XAieDma_TileBd::AbMode

AB Double buffer mode enable.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetAdrLenMod(), and XAieDma_TileBdWrite().

XAieDma_TileBdLock XAieDma_TileBd::AddrA

AddressA lock and address attributes for double buffering.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetAdrLenMod(), XAieDma_TileBdSetLock(), and XAieDma_TileBdWrite().

XAieDma_TileBdLock XAieDma_TileBd::AddrB

AddressB lock and address attributes for double buffering.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetAdrLenMod(), XAieDma_TileBdSetLock(), and XAieDma_TileBdWrite().

u8 XAieDma_TileBd::ChNum

Channel number, ranging from 0-3.

u8 XAieDma_TileBd::FifoMode

FIFO mode enable.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetAdrLenMod(), and XAieDma_TileBdWrite().

u8 XAieDma_TileBd::IntlvCnt

Interleave count.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetIntlv(), and XAieDma_TileBdWrite().

u16 XAieDma_TileBd::IntlvCur

Interleave current pointer.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetIntlv(), and XAieDma_TileBdWrite().

u8 XAieDma_TileBd::IntlvDb

Double buffer type (A or B) for interleaving.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetIntlv(), and XAieDma_TileBdWrite().

u8 XAieDma_TileBd::IntlvMode

Interleave mode enable.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetIntlv(), and XAieDma_TileBdWrite().

u16 XAieDma_TileBd::Length

Length of the transfer in bytes.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetAdrLenMod(), and XAieDma_TileBdWrite().

u8 XAieDma_TileBd::NextBd

Next BD to be used.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetNext(), and XAieDma_TileBdWrite().

u8 XAieDma_TileBd::NextBdEn

Use next BD.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetNext(), and XAieDma_TileBdWrite().

u8 XAieDma_TileBd::PktEn

Packet enable.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetPkt(), and XAieDma_TileBdWrite().

u8 XAieDma_TileBd::PktId

ID value used in the packet.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetPkt(), and XAieDma_TileBdWrite().

u8 XAieDma_TileBd::PktType

Packet type.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetPkt(), and XAieDma_TileBdWrite().

XAieDma_TileBdXy XAieDma_TileBd::X2dCfg

2D addressing attributes for X

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetXy2d(), and XAieDma_TileBdWrite().

XAieDma_TileBdXy XAieDma_TileBd::Y2dCfg

2D addressing attributes for Y

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetXy2d(), and XAieDma_TileBdWrite().